Application: gvSIG desktop - gvSIG bugs #810
Applying unique symbol legend to big layer never ends
06/27/2012 11:00 AM - Juan Lucas Dominguez

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Juan Lucas Dominguez

Category:

Target version: 2.0.0-devel-2050

Severity: Add-on version:

gvSIG version: 2.0.0 Add-on build:

gvSIG build: 2049 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:

Has patch: No Hito:

Add-on name: Unknown

Description

Steps:

- Add a polygon layer with 10.000 elements
- Choose the unique value legend and click on APPLY and then ACCEPT

The GUI is blocked for a very long time or maybe forever (?)

| think this is caused by large amount of refresh calls in TOC.
There might be other reasons.

History

#1 - 06/27/2012 11:06 AM - Juan Lucas Dominguez

- Assignee deleted (Joaquin del Cerro Murciano)

#2 - 06/27/2012 11:31 AM - Juan Lucas Dominguez

Sample SHP (choose field OBJECTID for unique value legend):

https://downloads.gvsig.org/download/geodata/vector/SHP2D/Aragon Geomorfologia SITAR SHP2d.zip

#3 - 07/02/2012 07:31 PM - Manuel Madrid
- Target version set to 2.0.0-rc1

#4 - 08/07/2012 09:06 AM - Juan Lucas Dominguez
- Assignee set to Juan Lucas Dominguez

#5 - 08/07/2012 10:03 AM - Juan Lucas Dominguez
- Status changed from New to In progress

#6 - 08/07/2012 02:04 PM - Juan Lucas Dominguez

- Status changed from In progress to Fixed
- Target version changed from 2.0.0-rc1 to 2.0.0-devel-2050
https://downloads.gvsig.org/download/geodata/vector/SHP2D/Aragon_Geomorfologia_SITAR_SHP2d.zip

gvsig-desktop:r38639

Avoiding unnecessary notifications and improving comparisons.

#7 - 08/31/2012 01:54 PM - Maria Maluenda
- Status changed from Fixed to Closed

Closed in the gvSIG 2051.
